| ISF 2.2 rev 5 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Functions | Variables
isf_dsa_direct.c File Reference
`#include "isf_dsa_direct.h"`
Include dependency graph for isf_dsa_direct.c:

Go to the source code of this file.

## Functions
int32 | init_sensor (uint8 nSensorID, isf_SensorHandle_t *pSensorAdapterHandle, event_t *pEventGroup, uint32 nEventFieldIndex)
| This function initializes the sensor adapters in the absence of the Sensor Manager. More...
int32 | configure_sensor (isf_SensorHandle_t *pSensorAdapterHandle, isf_SubscriptionSettings_t *pRequiredSettings, isf_fifo_t *pfifo)
int32 | start_sensor (isf_SensorHandle_t *pSensorAdapterHandle)
int32 | stop_sensor (isf_SensorHandle_t *pSensorAdapterHandle)
int32 | shutdown_sensor (isf_SensorHandle_t *pSensorAdapterHandle)
int32 | convert_sensor_data (isf_SensorHandle_t *pSensorAdapterHandle, isf_SensorDataTypes_t convertToType, isf_dsa_result_types_t resultType, void *nativeSample, void *convertedSample)

## Variables
const isf_SensorConfig_t | gSensorList []
| This is the external declaration of the DSA sensor list array containing the sensor adapters and sensor hardware mapping information. More...
isf_SensorHandle_t | gSensorHandleList []
| This is the global DSA sensor driver list of the current sensor handles. More...

## Function Documentation

int32 configure_sensor | ( | isf_SensorHandle_t * | pSensorAdapterHandle,
|  | isf_SubscriptionSettings_t * | pRequiredSettings,
|  | isf_fifo_t * | pfifo
| ) |  |

Definition at line 88 of file isf_dsa_direct.c.

References isf_dsa_ControlInterface_st::Configure, isf_dsa_Adapter_st::control, isf_SensorHandle_st::controlData, ISF_SUCCESS, isf_SubscriptionSettings_t::nSamplePeriod, isf_dsa_SensorSettings_st::nSamplePeriod, SensorConfig_st::pAdapter, isf_dsa_SensorSettings_st::pSampleBufferInfo, isf_SensorHandle_st::pSensorStaticConfig, isf_SubscriptionSettings_t::resultFormat, isf_dsa_SensorSettings_st::resultFormat, isf_SubscriptionSettings_t::resultType, isf_dsa_SensorSettings_st::resultType, isf_dsa_ControlData_st::sensorSettings, and isf_dsa_ControlInterface_st::ValidateSettings.

Referenced by App1_GotoState(), BasicApp1_MainTask(), and fsl_fusion_virt_3D_orient_Configure().

Here is the caller graph for this function:

int32 convert_sensor_data | ( | isf_SensorHandle_t * | pSensorAdapterHandle,
|  | isf_SensorDataTypes_t | convertToType,
|  | isf_dsa_result_types_t | resultType,
|  | void * | nativeSample,
|  | void * | convertedSample
| ) |  |

Definition at line 133 of file isf_dsa_direct.c.

References isf_dsa_Adapter_st::control, isf_dsa_ControlInterface_st::Convert, SensorConfig_st::pAdapter, and isf_SensorHandle_st::pSensorStaticConfig.

Referenced by fsl_fusion_virt_3D_orient_PeriodicCallback().

Here is the caller graph for this function:

int32 init_sensor | ( | uint8 | nSensorID,
|  | isf_SensorHandle_t * | pSensorAdapterHandle,
|  | event_t * | pEventGroup,
|  | uint32 | nEventFieldIndex
| ) |  |

This function initializes the sensor adapters in the absence of the Sensor Manager.

Parameters

  [in] | nSensorID | The index of the sensor in the gSensorList array to initialize
  [in] | pSensorAdapterHandle | The handled to the Sensor Adapter.
  [in] | pEventGroup | Event Group for Sensor Adapter to signal on new data available
  [in] | nEventFieldIndex | Event Flag for Sensor Adapter to signal on new data available

Returns
  init_sensors() returns a pointer to a sensor handle

Return values

  non-NULL | The initialization succeeded and the return value is a valid sensor handle
  NULL | The initialization failed

Constraints:
  Must only be called once for a given sensor index.

Reentrant: No.

Definition at line 41 of file isf_dsa_direct.c.

References isf_SensorHandle_st::adapterStatus, isf_dsa_Adapter_st::control, isf_SensorHandle_st::controlData, DSA_STATE_INITIALIZED, DSA_STATE_NOT_INITIALIZED, ERR_INVALID_HANDLE, ERR_INVALID_PTR, isf_dsa_ControlInterface_st::Initialize, ISF_SUCCESS, isf_dsa_ControlData_st::nEventFieldIndex, SensorConfig_st::pAdapter, isf_SensorHandle_st::pDeviceDescriptor, isf_dsa_ControlData_st::pEventGroup, and isf_SensorHandle_st::pSensorStaticConfig.

Referenced by App1_MainTask(), BasicApp1_MainTask(), and fsl_fusion_virt_3D_orient_Initialize().

Here is the caller graph for this function:

int32 shutdown_sensor | ( | isf_SensorHandle_t * | pSensorAdapterHandle | ) |

Definition at line 126 of file isf_dsa_direct.c.

References isf_dsa_Adapter_st::control, SensorConfig_st::pAdapter, isf_SensorHandle_st::pSensorStaticConfig, and isf_dsa_ControlInterface_st::Shutdown.

Referenced by App1_GotoState(), App1_ReturnSensorsToInit(), BasicApp1_MainTask(), and fsl_fusion_virt_3D_orient_Shutdown().

Here is the caller graph for this function:

int32 start_sensor | ( | isf_SensorHandle_t * | pSensorAdapterHandle | ) |

Definition at line 112 of file isf_dsa_direct.c.

References isf_dsa_Adapter_st::control, SensorConfig_st::pAdapter, isf_SensorHandle_st::pSensorStaticConfig, and isf_dsa_ControlInterface_st::StartData.

Referenced by App1_GotoState(), BasicApp1_MainTask(), and fsl_fusion_virt_3D_orient_StartData().

Here is the caller graph for this function:

int32 stop_sensor | ( | isf_SensorHandle_t * | pSensorAdapterHandle | ) |

Definition at line 119 of file isf_dsa_direct.c.

References isf_dsa_Adapter_st::control, isf_dsa_ControlInterface_st::EndData, SensorConfig_st::pAdapter, and isf_SensorHandle_st::pSensorStaticConfig.

Referenced by App1_GotoState(), App1_ReturnSensorsToInit(), BasicApp1_MainTask(), and fsl_fusion_virt_3D_orient_EndData().

Here is the caller graph for this function:

## Variable Documentation

isf_SensorHandle_t gSensorHandleList[]

This is the global DSA sensor driver list of the current sensor handles.

This is the external declaration of the DSA sensor handle list array containing the sensor adapters and device specific information.

Definition at line 69 of file isf_sensor_configuration.c.

const isf_SensorConfig_t gSensorList[]

This is the external declaration of the DSA sensor list array containing the sensor adapters and sensor hardware mapping information.

This is the external declaration of the DSA sensor list array containing the sensor adapters and sensor hardware mapping information.

Definition at line 37 of file isf_sensor_configuration.c.

- © Freescale Semiconductor, Inc. 2016. All Rights Reserved.